package it.integry.integrywmsnative.core.model;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

public class MtbInvent extends EntityBase {

    private Long idInventario;
    private String codMdep;
    private LocalDate dataInventario;
    private LocalDateTime dataReg;
    private LocalDateTime dataVer;
    private String filtro;
    private String flagStato;
    private String flagOperazione;
    private String codAnag;
    private String codDtip;
    private String inseritoDa;
    private String registratoDa;
    private String tipoGiacenza;
    private String tipoVerifica;
    private String verificatoDa;
    private Date dataIns;
    private Date dataDoc;
    private String serDoc;
    private Integer numDoc;
    private String regolaCalcoloCosto;
    private LocalDateTime dataOraInizio;
    private LocalDateTime dataOraFine;
    private String causale;
    private List<MtbInvenr> mtbInvenr;

    public MtbInvent() {
        type = "mtb_invent";
    }

    public Long getIdInventario() {
        return idInventario;
    }

    public void setIdInventario(Long idInventario) {
        this.idInventario = idInventario;
    }

    public String getCodMdep() {
        return codMdep;
    }

    public void setCodMdep(String codMdep) {
        this.codMdep = codMdep;
    }

    public LocalDate getDataInventario() {
        return dataInventario;
    }

    public void setDataInventario(LocalDate dataInventario) {
        this.dataInventario = dataInventario;
    }

    public LocalDateTime getDataReg() {
        return dataReg;
    }

    public void setDataReg(LocalDateTime dataReg) {
        this.dataReg = dataReg;
    }

    public LocalDateTime getDataVer() {
        return dataVer;
    }

    public void setDataVer(LocalDateTime dataVer) {
        this.dataVer = dataVer;
    }

    public String getFiltro() {
        return filtro;
    }

    public void setFiltro(String filtro) {
        this.filtro = filtro;
    }

    public String getFlagStato() {
        return flagStato;
    }

    public void setFlagStato(String flagStato) {
        this.flagStato = flagStato;
    }

    public String getFlagOperazione() {
        return flagOperazione;
    }

    public void setFlagOperazione(String flagOperazione) {
        this.flagOperazione = flagOperazione;
    }

    public String getCodAnag() {
        return codAnag;
    }

    public void setCodAnag(String codAnag) {
        this.codAnag = codAnag;
    }

    public String getCodDtip() {
        return codDtip;
    }

    public void setCodDtip(String codDtip) {
        this.codDtip = codDtip;
    }

    public String getInseritoDa() {
        return inseritoDa;
    }

    public void setInseritoDa(String inseritoDa) {
        this.inseritoDa = inseritoDa;
    }

    public String getRegistratoDa() {
        return registratoDa;
    }

    public void setRegistratoDa(String registratoDa) {
        this.registratoDa = registratoDa;
    }

    public String getTipoGiacenza() {
        return tipoGiacenza;
    }

    public void setTipoGiacenza(String tipoGiacenza) {
        this.tipoGiacenza = tipoGiacenza;
    }

    public String getTipoVerifica() {
        return tipoVerifica;
    }

    public void setTipoVerifica(String tipoVerifica) {
        this.tipoVerifica = tipoVerifica;
    }

    public String getVerificatoDa() {
        return verificatoDa;
    }

    public void setVerificatoDa(String verificatoDa) {
        this.verificatoDa = verificatoDa;
    }

    public Date getDataIns() {
        return dataIns;
    }

    public void setDataIns(Date dataIns) {
        this.dataIns = dataIns;
    }

    public Date getDataDoc() {
        return dataDoc;
    }

    public void setDataDoc(Date dataDoc) {
        this.dataDoc = dataDoc;
    }

    public String getSerDoc() {
        return serDoc;
    }

    public void setSerDoc(String serDoc) {
        this.serDoc = serDoc;
    }

    public Integer getNumDoc() {
        return numDoc;
    }

    public void setNumDoc(Integer numDoc) {
        this.numDoc = numDoc;
    }

    public String getRegolaCalcoloCosto() {
        return regolaCalcoloCosto;
    }

    public void setRegolaCalcoloCosto(String regolaCalcoloCosto) {
        this.regolaCalcoloCosto = regolaCalcoloCosto;
    }

    public LocalDateTime getDataOraInizio() {
        return dataOraInizio;
    }

    public void setDataOraInizio(LocalDateTime dataOraInizio) {
        this.dataOraInizio = dataOraInizio;
    }

    public LocalDateTime getDataOraFine() {
        return dataOraFine;
    }

    public void setDataOraFine(LocalDateTime dataOraFine) {
        this.dataOraFine = dataOraFine;
    }

    public String getCausale() {
        return causale;
    }

    public void setCausale(String causale) {
        this.causale = causale;
    }

    public List<MtbInvenr> getMtbInvenr() {
        return mtbInvenr;
    }

    public void setMtbInvenr(List<MtbInvenr> mtbInvenr) {
        this.mtbInvenr = mtbInvenr;
    }
}
